#define SIGMASTUDIO_ARCHITECTURE	Dsp1953

// Module HPF - General (2nd order)
#define MODULE_Main_HPF_COUNT	5
#define MODULE_Main_HPF_DEVICE	IC1
#define MODULE_Main_HPF_Alg0_Stage0_B0_ADDRESS	0
#define MODULE_Main_HPF_Alg0_Stage0_B0_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_HPF_Alg0_Stage0_B0_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(0.998585856865272)
#define MODULE_Main_HPF_Alg0_Stage0_B1_ADDRESS	1
#define MODULE_Main_HPF_Alg0_Stage0_B1_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_HPF_Alg0_Stage0_B1_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(-1.99717171373054)
#define MODULE_Main_HPF_Alg0_Stage0_B2_ADDRESS	2
#define MODULE_Main_HPF_Alg0_Stage0_B2_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_HPF_Alg0_Stage0_B2_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(0.998585856865272)
#define MODULE_Main_HPF_Alg0_Stage0_A1_ADDRESS	3
#define MODULE_Main_HPF_Alg0_Stage0_A1_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_HPF_Alg0_Stage0_A1_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(1.99858535656126)
#define MODULE_Main_HPF_Alg0_Stage0_A2_ADDRESS	4
#define MODULE_Main_HPF_Alg0_Stage0_A2_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_HPF_Alg0_Stage0_A2_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(-0.998585856865272)

// Module Left Xover - General (2nd order)
#define MODULE_Main_LeftXover_COUNT	10
#define MODULE_Main_LeftXover_DEVICE	IC1
#define MODULE_Main_LeftXover_Alg0_Stage0_B0_ADDRESS	22
#define MODULE_Main_LeftXover_Alg0_Stage0_B0_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_LeftXover_Alg0_Stage0_B0_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(0.97022837669833)
#define MODULE_Main_LeftXover_Alg0_Stage0_B1_ADDRESS	23
#define MODULE_Main_LeftXover_Alg0_Stage0_B1_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_LeftXover_Alg0_Stage0_B1_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(-1.94045675339666)
#define MODULE_Main_LeftXover_Alg0_Stage0_B2_ADDRESS	24
#define MODULE_Main_LeftXover_Alg0_Stage0_B2_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_LeftXover_Alg0_Stage0_B2_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(0.97022837669833)
#define MODULE_Main_LeftXover_Alg0_Stage0_A1_ADDRESS	25
#define MODULE_Main_LeftXover_Alg0_Stage0_A1_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_LeftXover_Alg0_Stage0_A1_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(1.93957020735167)
#define MODULE_Main_LeftXover_Alg0_Stage0_A2_ADDRESS	26
#define MODULE_Main_LeftXover_Alg0_Stage0_A2_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_LeftXover_Alg0_Stage0_A2_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(-0.941343299441648)
#define MODULE_Main_LeftXover_Alg0_Stage1_B0_ADDRESS	27
#define MODULE_Main_LeftXover_Alg0_Stage1_B0_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_LeftXover_Alg0_Stage1_B0_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(0.97022837669833)
#define MODULE_Main_LeftXover_Alg0_Stage1_B1_ADDRESS	28
#define MODULE_Main_LeftXover_Alg0_Stage1_B1_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_LeftXover_Alg0_Stage1_B1_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(-1.94045675339666)
#define MODULE_Main_LeftXover_Alg0_Stage1_B2_ADDRESS	29
#define MODULE_Main_LeftXover_Alg0_Stage1_B2_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_LeftXover_Alg0_Stage1_B2_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(0.97022837669833)
#define MODULE_Main_LeftXover_Alg0_Stage1_A1_ADDRESS	30
#define MODULE_Main_LeftXover_Alg0_Stage1_A1_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_LeftXover_Alg0_Stage1_A1_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(1.93957020735167)
#define MODULE_Main_LeftXover_Alg0_Stage1_A2_ADDRESS	31
#define MODULE_Main_LeftXover_Alg0_Stage1_A2_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_LeftXover_Alg0_Stage1_A2_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(-0.941343299441648)

// Module Sub Xover - General (2nd order)
#define MODULE_Main_SubXover_COUNT	15
#define MODULE_Main_SubXover_DEVICE	IC1
#define MODULE_Main_SubXover_Alg0_Stage0_B0_ADDRESS	32
#define MODULE_Main_SubXover_Alg0_Stage0_B0_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_SubXover_Alg0_Stage0_B0_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(0.000443273022494514)
#define MODULE_Main_SubXover_Alg0_Stage0_B1_ADDRESS	33
#define MODULE_Main_SubXover_Alg0_Stage0_B1_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_SubXover_Alg0_Stage0_B1_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(0.000886546044989028)
#define MODULE_Main_SubXover_Alg0_Stage0_B2_ADDRESS	34
#define MODULE_Main_SubXover_Alg0_Stage0_B2_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_SubXover_Alg0_Stage0_B2_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(0.000443273022494514)
#define MODULE_Main_SubXover_Alg0_Stage0_A1_ADDRESS	35
#define MODULE_Main_SubXover_Alg0_Stage0_A1_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_SubXover_Alg0_Stage0_A1_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(1.93957020735167)
#define MODULE_Main_SubXover_Alg0_Stage0_A2_ADDRESS	36
#define MODULE_Main_SubXover_Alg0_Stage0_A2_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_SubXover_Alg0_Stage0_A2_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(-0.941343299441648)
#define MODULE_Main_SubXover_Alg0_Stage1_B0_ADDRESS	37
#define MODULE_Main_SubXover_Alg0_Stage1_B0_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_SubXover_Alg0_Stage1_B0_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(0.000440370366882498)
#define MODULE_Main_SubXover_Alg0_Stage1_B1_ADDRESS	38
#define MODULE_Main_SubXover_Alg0_Stage1_B1_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_SubXover_Alg0_Stage1_B1_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(0.000880740733764996)
#define MODULE_Main_SubXover_Alg0_Stage1_B2_ADDRESS	39
#define MODULE_Main_SubXover_Alg0_Stage1_B2_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_SubXover_Alg0_Stage1_B2_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(0.000440370366882498)
#define MODULE_Main_SubXover_Alg0_Stage1_A1_ADDRESS	40
#define MODULE_Main_SubXover_Alg0_Stage1_A1_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_SubXover_Alg0_Stage1_A1_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(1.92686944718452)
#define MODULE_Main_SubXover_Alg0_Stage1_A2_ADDRESS	41
#define MODULE_Main_SubXover_Alg0_Stage1_A2_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_SubXover_Alg0_Stage1_A2_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(-0.928630928652053)
#define MODULE_Main_SubXover_Alg0_Stage2_B0_ADDRESS	42
#define MODULE_Main_SubXover_Alg0_Stage2_B0_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_SubXover_Alg0_Stage2_B0_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(0.867418585785029)
#define MODULE_Main_SubXover_Alg0_Stage2_B1_ADDRESS	43
#define MODULE_Main_SubXover_Alg0_Stage2_B1_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_SubXover_Alg0_Stage2_B1_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(-1.84849691613332)
#define MODULE_Main_SubXover_Alg0_Stage2_B2_ADDRESS	44
#define MODULE_Main_SubXover_Alg0_Stage2_B2_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_SubXover_Alg0_Stage2_B2_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(1)
#define MODULE_Main_SubXover_Alg0_Stage2_A1_ADDRESS	45
#define MODULE_Main_SubXover_Alg0_Stage2_A1_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_SubXover_Alg0_Stage2_A1_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(1.84849691613332)
#define MODULE_Main_SubXover_Alg0_Stage2_A2_ADDRESS	46
#define MODULE_Main_SubXover_Alg0_Stage2_A2_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_SubXover_Alg0_Stage2_A2_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(-0.867418585785029)

// Module Right Xover - General (2nd order)
#define MODULE_Main_RightXover_COUNT	10
#define MODULE_Main_RightXover_DEVICE	IC1
#define MODULE_Main_RightXover_Alg0_Stage0_B0_ADDRESS	10
#define MODULE_Main_RightXover_Alg0_Stage0_B0_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_RightXover_Alg0_Stage0_B0_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(0.97022837669833)
#define MODULE_Main_RightXover_Alg0_Stage0_B1_ADDRESS	11
#define MODULE_Main_RightXover_Alg0_Stage0_B1_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_RightXover_Alg0_Stage0_B1_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(-1.94045675339666)
#define MODULE_Main_RightXover_Alg0_Stage0_B2_ADDRESS	12
#define MODULE_Main_RightXover_Alg0_Stage0_B2_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_RightXover_Alg0_Stage0_B2_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(0.97022837669833)
#define MODULE_Main_RightXover_Alg0_Stage0_A1_ADDRESS	13
#define MODULE_Main_RightXover_Alg0_Stage0_A1_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_RightXover_Alg0_Stage0_A1_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(1.93957020735167)
#define MODULE_Main_RightXover_Alg0_Stage0_A2_ADDRESS	14
#define MODULE_Main_RightXover_Alg0_Stage0_A2_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_RightXover_Alg0_Stage0_A2_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(-0.941343299441648)
#define MODULE_Main_RightXover_Alg0_Stage1_B0_ADDRESS	15
#define MODULE_Main_RightXover_Alg0_Stage1_B0_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_RightXover_Alg0_Stage1_B0_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(0.97022837669833)
#define MODULE_Main_RightXover_Alg0_Stage1_B1_ADDRESS	16
#define MODULE_Main_RightXover_Alg0_Stage1_B1_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_RightXover_Alg0_Stage1_B1_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(-1.94045675339666)
#define MODULE_Main_RightXover_Alg0_Stage1_B2_ADDRESS	17
#define MODULE_Main_RightXover_Alg0_Stage1_B2_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_RightXover_Alg0_Stage1_B2_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(0.97022837669833)
#define MODULE_Main_RightXover_Alg0_Stage1_A1_ADDRESS	18
#define MODULE_Main_RightXover_Alg0_Stage1_A1_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_RightXover_Alg0_Stage1_A1_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(1.93957020735167)
#define MODULE_Main_RightXover_Alg0_Stage1_A2_ADDRESS	19
#define MODULE_Main_RightXover_Alg0_Stage1_A2_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_RightXover_Alg0_Stage1_A2_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(-0.941343299441648)

// Module Bass Enhance1 - Dynamic Enhancement
#define MODULE_Main_BassEnhance1_COUNT	9
#define MODULE_Main_BassEnhance1_DEVICE	IC1
#define MODULE_Main_BassEnhance1_Alg0_Frequency_ADDRESS	49
#define MODULE_Main_BassEnhance1_Alg0_Frequency_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_BassEnhance1_Alg0_Frequency_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(0.00854852540995214)
#define MODULE_Main_BassEnhance1_Alg0_B0_ADDRESS	50
#define MODULE_Main_BassEnhance1_Alg0_B0_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_BassEnhance1_Alg0_B0_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(7.22029661614207E-05)
#define MODULE_Main_BassEnhance1_Alg0_B1_ADDRESS	51
#define MODULE_Main_BassEnhance1_Alg0_B1_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_BassEnhance1_Alg0_B1_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(0.000144405932322841)
#define MODULE_Main_BassEnhance1_Alg0_B2_ADDRESS	52
#define MODULE_Main_BassEnhance1_Alg0_B2_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_BassEnhance1_Alg0_B2_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(7.22029661614207E-05)
#define MODULE_Main_BassEnhance1_Alg0_A1_ADDRESS	53
#define MODULE_Main_BassEnhance1_Alg0_A1_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_BassEnhance1_Alg0_A1_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(1.97581863764394)
#define MODULE_Main_BassEnhance1_Alg0_A2_ADDRESS	54
#define MODULE_Main_BassEnhance1_Alg0_A2_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_BassEnhance1_Alg0_A2_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(-0.976107449508584)
#define MODULE_Main_BassEnhance1_Alg0_TimeConstant_ADDRESS	55
#define MODULE_Main_BassEnhance1_Alg0_TimeConstant_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_BassEnhance1_Alg0_TimeConstant_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(0.000225201797680152)
#define MODULE_Main_BassEnhance1_Alg0_Threshold_ADDRESS	56
#define MODULE_Main_BassEnhance1_Alg0_Threshold_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_BassEnhance1_Alg0_Threshold_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(1.53992652605949)
#define MODULE_Main_BassEnhance1_Alg0_LowLevelBoost_ADDRESS	57
#define MODULE_Main_BassEnhance1_Alg0_LowLevelBoost_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_BassEnhance1_Alg0_LowLevelBoost_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(0.144543977074593)

// Module Tone - General (2nd order)
#define MODULE_Main_Tone_COUNT	5
#define MODULE_Main_Tone_DEVICE	IC1
#define MODULE_Main_Tone_Alg0_Stage0_B0_ADDRESS	5
#define MODULE_Main_Tone_Alg0_Stage0_B0_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_Tone_Alg0_Stage0_B0_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(-1.09305422115569)
#define MODULE_Main_Tone_Alg0_Stage0_B1_ADDRESS	6
#define MODULE_Main_Tone_Alg0_Stage0_B1_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_Tone_Alg0_Stage0_B1_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(1.88064661387922)
#define MODULE_Main_Tone_Alg0_Stage0_B2_ADDRESS	7
#define MODULE_Main_Tone_Alg0_Stage0_B2_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_Tone_Alg0_Stage0_B2_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(-0.783950114605735)
#define MODULE_Main_Tone_Alg0_Stage0_A1_ADDRESS	8
#define MODULE_Main_Tone_Alg0_Stage0_A1_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_Tone_Alg0_Stage0_A1_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(1.67359223537621)
#define MODULE_Main_Tone_Alg0_Stage0_A2_ADDRESS	9
#define MODULE_Main_Tone_Alg0_Stage0_A2_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_Tone_Alg0_Stage0_A2_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(-0.675417698670171)

// Module Left Gain - Right Gain - Sub Gain - Multiple Volume Control
#define MODULE_Main_LeftGain-RightGain-SubGain_COUNT	3
#define MODULE_Main_LeftGain-RightGain-SubGain_DEVICE	IC1
#define MODULE_Main_LeftGain-RightGain-SubGain_Alg0_ADDRESS	258
#define MODULE_Main_LeftGain-RightGain-SubGain_Alg0_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_LeftGain-RightGain-SubGain_Alg0_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(0.707945784384138)
#define MODULE_Main_LeftGain-RightGain-SubGain_Alg1_ADDRESS	259
#define MODULE_Main_LeftGain-RightGain-SubGain_Alg1_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_LeftGain-RightGain-SubGain_Alg1_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(1)
#define MODULE_Main_LeftGain-RightGain-SubGain_Alg2_ADDRESS	260
#define MODULE_Main_LeftGain-RightGain-SubGain_Alg2_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_LeftGain-RightGain-SubGain_Alg2_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(1)

// Module Sub input mixer - Multiple Control Mixer
#define MODULE_Main_Subinputmixer_COUNT	2
#define MODULE_Main_Subinputmixer_DEVICE	IC1
#define MODULE_Main_Subinputmixer_Alg0_ADDRESS	20
#define MODULE_Main_Subinputmixer_Alg0_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_Subinputmixer_Alg0_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(1)
#define MODULE_Main_Subinputmixer_Alg0_ADDRESS	21
#define MODULE_Main_Subinputmixer_Alg0_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_Subinputmixer_Alg0_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(1)

// Module Phat-Stereo1 - Phat-Stereo
#define MODULE_Main_Phat-Stereo1_COUNT	2
#define MODULE_Main_Phat-Stereo1_DEVICE	IC1
#define MODULE_Main_Phat-Stereo1_Alg0_ADDRESS	47
#define MODULE_Main_Phat-Stereo1_Alg0_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_Phat-Stereo1_Alg0_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(0.119708503049573)
#define MODULE_Main_Phat-Stereo1_Alg0_ADDRESS	48
#define MODULE_Main_Phat-Stereo1_Alg0_TYPE	SIGMASTUDIOTYPE_2_20
#define MODULE_Main_Phat-Stereo1_Alg0_VALUE	SIGMASTUDIOTYPE_2_20_CONVERT(0.0209929139381448)
